banner-flutter

Requirements & Support

Requirements
Courier Account Sign Up
Minimum iOS SDK Version 13.0
Minimum Android SDK Version 23

Installation

Run the following command at your project's root directory:

flutter pub add courier_flutter

iOS Setup

1. Support iOS 13.0+ in your Project

Screenshot 2023-11-17 at 11 26 01 AM

Update your deployment target to iOS 13

2. Install the Cocoapods

From the root of your project run

cd ios && pod install

Android Setup

1. Add the Jitpack repository

In your android/build.gradle make sure your build and repository values are as follows

allprojects {
    repositories {
        google()
        mavenCentral()
        maven { url 'https://jitpack.io' } // Add this line
    }
}

2. Support Proper SDK Version

In your app/build.gradle update these values

minSdkVersion 21
targetSdkVersion 33+
compileSdkVersion 33+

3. Run Gradle Sync

Getting Started

These are all the available features of the SDK.

Feature Description
1 Authentication Manages user credentials between app sessions. Required if you would like to use Courier Inbox and Push Notifications.
2 Courier Inbox An in-app notification center you can use to notify your users. Comes with a prebuilt UI and also supports fully custom UIs.
3 Push Notifications Automatically manages push notification device tokens and gives convenient functions for handling push notification receiving and clicking.
4 Preferences Allow users to update which types of notifications they would like to receive.

Example Projects

Project Link
Example

Share feedback with Courier

We want to make this the best SDK for managing notifications! Have an idea or feedback about our SDKs? Here are some links to contact us: